Subject: Re: bug#59232: 27.2; vc-annotate on SVN does not process all lines

From: Pierre Rouleau <[email-masked]>
Date: Sun, 13 Nov 2022 13:05:09 -0500

On Sun, Nov 13, 2022 at 11:40 AM Eli Zaretskii <[email-masked]> wrote:

> >
> > On Sun, Nov 13, 2022 at 1:36 AM Eli Zaretskii <[email-masked]> wrote:
> >
> >  Can you suggest a publicly-accessible SVN repository that can be used
> >  for reproducing this problem and testing possible solutions?  It is
> >  hard to find repositories that fit your conditions these days.
> >
> > As you probably guessed, the repo I'm using is a corporate one and the
> environment I'm using is an old
> > version of Linux *because* of the corporate product requirement.  One
> way would be to just create a dummy
> > repo with subversion and commit a large file inside it.  Aside from the
> current corporate settings, I had never
> > used Subversion.  Do you know where I could push a test depot on a
> public repo site?
>
> No, I don't.  I hoped you could know of an already existing
> repository.  To reproduce the problem, one doesn't need to commit
> anything, one just needs to use an existing repository in a read-only
> fashion.
>
I don't either, unfortunately.  Like most I normally do not use
Subversion.  I'm only using it because of this corporate requirement and if
it wasn't for Emacs I would royally dislike it.  Fortunately Emacs makes it
palatable.  I have seen mentions of https://www.springloops.io/ and
https://riouxsvn.com/ but I've never used those and before I did I'd like
to know if anyone has used them before.

-- 
/Pierre